Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetOrder

Gets the line search approximation order.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetOrder(SNESLineSearch linesearch, PetscInt *order)

## Input Parameter

- linesearch - the line search context

## Output Parameter

- order - The order

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetOrder()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages